FLANG

Public Member Functions | Protected Member Functions | List of all members
Fortran::evaluate::ConstantBounds Class Reference
Inheritance diagram for Fortran::evaluate::ConstantBounds:

## Public Member Functions
| ConstantBounds (const ConstantSubscripts &shape)
| ConstantBounds (ConstantSubscripts &&shape)
const ConstantSubscripts & | shape () const
const ConstantSubscripts & | lbounds () const
void | set_lbounds (ConstantSubscripts &&)
int | Rank () const
Constant< SubscriptInteger > | SHAPE () const
bool | IncrementSubscripts (ConstantSubscripts &, const std::vector< int > *dimOrder=nullptr) const

## Protected Member Functions
ConstantSubscript | SubscriptsToOffset (const ConstantSubscripts &) const

The documentation for this class was generated from the following files:

- include/flang/Evaluate/constant.h
- lib/Evaluate/constant.cpp